# Cloudflare DNS manager 
This package is an extension for the ["DNS Manager"](https://git.uoc.run.place/OxFF/dns-manager). 
The main goal of the project is to provide robust and unified interface for interacting with various DNS. 

In this package now includes: 
- [x] Getting all DNS records of a custom zone
- [x] Creating new DNS records on a custom zone
- [x] Deleting existed records on a custom zone
- [x] Update existed records on a custom zone

TO-DO:
- [ ] Provide defense against data races
- [ ] Improve quality of error handling (e.g., check matches the response to expectations or not)
- [ ] Provide ability to auth with Global API Key and email, instead of using API Tokens